#include<bits/stdc++.h>
using namespace std;
int t;
int resultati[100],a,b,koord_a1,koord_b1,koord_a2,koord_b2;
int main(){
cin>>t;
for(int i=0;i<t;i++){
    resultati[i]=0;
    cin>>koord_a1>>koord_b1>>koord_a2>>koord_b2>>a>>b;
    if(koord_a1==koord_a2 && koord_b1==koord_b2){
        resultati[i]=(a+1)*(b+1);
    }else{
        ///nachalo na variant 1
        if(koord_a2>=koord_a1){
            if(koord_a2-koord_a1<=a){
                resultati[i]=a-(koord_a2-koord_a1)+1;
            }else{
                resultati[i]=0;
            }
        }else{
            if(koord_a1-koord_a2<=a){
                resultati[i]=a-(koord_a1-koord_a2)+1;
            }else{
                resultati[i]=0;
            }
        }
        ///nachalo na variant 2
        if(koord_b2>=koord_b1){
            if(koord_b2-koord_b1<=b){
                resultati[i]=(b-koord_b2+koord_b1+1)*resultati[i];
            }else{
                resultati[i]=0;
            }
        }else{
            if(koord_b1-koord_b2<=b){
                resultati[i]=(b-koord_b1+koord_b2+1)*resultati[i];
            }else{
                resultati[i]=0;
            }
        }
    }
}
for(int i=0;i<t;i++){
    cout<<resultati[i]<<endl;
}
return 0;
}
